julianCenturyAnomaly {oce} | R Documentation

## Julian-Day number to Julian century

### Description

Convert a Julian-Day number to a time in julian centuries since noon on January 1, 1900.

### Usage

    julianCenturyAnomaly(jd)

### Arguments

`jd` | a julian day number, e.g. as given by `julianDay`.

### Details

The method follows Meese (1982 equation 15.1). The example reproduces the example provided by Meeuse (1982 example 15.a), with fractional error 3e-8.

### Value

Julian century since noon on January 1, 1900.

### Author(s)

Dan Kelley

### References

Meeus, Jean, 1982. Astronomical formuae for Calculators. Willmann-Bell. Richmond VA, USA. 201 pages

### Examples

    t <- ISOdatetime(1978, 11, 13, 4, 35, 0, tz="UTC")
    jca <- julianCenturyAnomaly(julianDay(t))
    cat(format(t), "is Julian Century anomaly", format(jca, digits=8), "\n")

[Package oce version 0.9-18 Index]